public class CreateUploadVideoRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
appId
The ID of the application.
|
Long |
cateId
The category ID of the media file.
|
String |
coverURL
The URL of the custom video thumbnail.
|
String |
description
The description of the audio or video file.
|
String |
fileName
The name of the audio or video file.
|
Long |
fileSize
The size of the audio or video file.
|
String |
storageLocation
The storage address.
|
String |
tags
The tags of the audio or video file.
|
String |
templateGroupId
The ID of the transcoding template group.
|
String |
title
The title of the audio or video file.
|
String |
userData
The custom configurations such as callback configurations and upload acceleration configurations.
|
String |
workflowId
The ID of the workflow.
|
| 构造器和说明 |
|---|
CreateUploadVideoRequest() |
@NameInMap(value="AppId") public String appId
The ID of the application. Default value: **app-1000000**. For more information, see [Overview](~~113600~~).
@NameInMap(value="CateId") public Long cateId
The category ID of the media file. You can use one of the following methods to obtain the category ID:
* Log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Management** > **Categories** to view the category ID of the media file.
* Obtain the value of CateId from the response to the [AddCategory](~~56401~~) operation.
* Obtain the value of CateId from the response to the [GetCategories](~~56406~~) operation.
@NameInMap(value="CoverURL") public String coverURL
The URL of the custom video thumbnail.
@NameInMap(value="Description") public String description
The description of the audio or video file.
* The value can be up to 1,024 characters in length.
* The value must be encoded in UTF-8.
@NameInMap(value="FileName") public String fileName
The name of the audio or video file.
* The name must contain a file name extension, which is not case-sensitive.
* For more information about file name extensions supported by ApsaraVideo VOD, see [Overview](~~55396~~).
@NameInMap(value="FileSize") public Long fileSize
The size of the audio or video file. Unit: bytes.
@NameInMap(value="StorageLocation") public String storageLocation
The storage address. To obtain the storage address, log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Management** > **Storage**.
> If you specify a storage address, media files are uploaded to the specified address.
@NameInMap(value="Tags") public String tags
The tags of the audio or video file.
* You can specify a maximum of 16 tags.
* If you want to specify multiple tags, separate the tags with commas (,).
* Each tag can be up to 32 characters in length.
* The value must be encoded in UTF-8.
@NameInMap(value="TemplateGroupId") public String templateGroupId
The ID of the transcoding template group. You can use one of the following methods to obtain the ID of the transcoding template group:
* Log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Processing** > **Transcoding Template Groups** to view the ID of the transcoding template group.
* Obtain the value of TranscodeTemplateGroupId in the response to the [AddTranscodeTemplateGroup](~~102665~~) operation.
* Obtain the value of TranscodeTemplateGroupId in the response to the [ListTranscodeTemplateGroup](~~102669~~) operation.
> If you leave this parameter empty, the default transcoding template group is used. If you specify this parameter, the specified transcoding template group is used for transcoding.
@NameInMap(value="Title") public String title
The title of the audio or video file.
* The title can be up to 128 characters in length.
* The value must be encoded in UTF-8.
@NameInMap(value="UserData") public String userData
The custom configurations such as callback configurations and upload acceleration configurations. The value must be a JSON string. For more information, see [Request parameters](~~86952~~).
> * The callback configurations take effect only after you specify the HTTP callback URL and select specific callback events in the ApsaraVideo VOD console. For more information about how to configure HTTP callback settings in the ApsaraVideo VOD console, see [Configure callback settings](~~86071~~).
>* If you want to enable the upload acceleration feature, [submit a request on Yida](https://yida.alibaba-inc.com/o/ticketapply). For more information, see [Overview](~~55396~~).
@NameInMap(value="WorkflowId") public String workflowId
The ID of the workflow. To view the ID of the workflow, log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Processing** > **Workflows**.
> If you specify the WorkflowId and TemplateGroupId parameters, the value of the WorkflowId parameter takes effect. For more information, see [Workflows](~~115347~~).
public static CreateUploadVideoRequest build(Map<String,?> map) throws Exception
Exceptionpublic CreateUploadVideoRequest setAppId(String appId)
public String getAppId()
public CreateUploadVideoRequest setCateId(Long cateId)
public Long getCateId()
public CreateUploadVideoRequest setCoverURL(String coverURL)
public String getCoverURL()
public CreateUploadVideoRequest setDescription(String description)
public String getDescription()
public CreateUploadVideoRequest setFileName(String fileName)
public String getFileName()
public CreateUploadVideoRequest setFileSize(Long fileSize)
public Long getFileSize()
public CreateUploadVideoRequest setStorageLocation(String storageLocation)
public String getStorageLocation()
public CreateUploadVideoRequest setTags(String tags)
public String getTags()
public CreateUploadVideoRequest setTemplateGroupId(String templateGroupId)
public String getTemplateGroupId()
public CreateUploadVideoRequest setTitle(String title)
public String getTitle()
public CreateUploadVideoRequest setUserData(String userData)
public String getUserData()
public CreateUploadVideoRequest setWorkflowId(String workflowId)
public String getWorkflowId()
Copyright © 2024. All rights reserved.